import { Maybe } from '@lightsparkdev/core';

declare const capitalize: (str: string) => string;
declare const makeEnumPretty: (enumValue: string, capitalizeAllWords?: boolean) => string;
declare const elide: (s: Maybe<string>, first: number, last?: number) => Maybe<string>;
declare function removeChars(value: string, beginIndex: number, endIndex?: number): string;
declare function isString(str: unknown): str is string;
declare function removeCommas(value: string): string;
declare function addCommasToDigits(value: string | number): string;
declare function removeLeadingZeros(value: string): string;

export { addCommasToDigits, capitalize, elide, isString, makeEnumPretty, removeChars, removeCommas, removeLeadingZeros };
